clang 8.0.0

Public Member Functions | Protected Attributes | List of all members
clang::tooling::RefactoringCallback Class Reference

Base class for RefactoringCallbacks. More...

`#include "clang/Tooling/RefactoringCallbacks.h"`

Inheritance diagram for clang::tooling::RefactoringCallback:
[legend]
Collaboration diagram for clang::tooling::RefactoringCallback:
[legend]

## Public Member Functions
| RefactoringCallback ()
Replacements & | getReplacements ()
Public Member Functions inherited from clang::ast_matchers::MatchFinder::MatchCallback
virtual | ~MatchCallback ()
virtual void | run (const MatchResult &Result)=0
| Called on every match by the `MatchFinder`. More...
virtual void | onStartOfTranslationUnit ()
| Called at the start of each translation unit. More...
virtual void | onEndOfTranslationUnit ()
| Called at the end of each translation unit. More...
virtual StringRef | getID () const
| An id used to group the matchers. More...

## Protected Attributes
Replacements | Replace

## Detailed Description

Base class for RefactoringCallbacks.

Collects `tooling::Replacements` while running.

Definition at line 41 of file RefactoringCallbacks.h.

## Constructor & Destructor Documentation

## ◆ RefactoringCallback()

clang::tooling::RefactoringCallback::RefactoringCallback | ( |  | ) |

Definition at line 23 of file RefactoringCallbacks.cpp.

## Member Function Documentation

## ◆ getReplacements()

tooling::Replacements & clang::tooling::RefactoringCallback::getReplacements | ( |  | ) |

Definition at line 24 of file RefactoringCallbacks.cpp.

References Replace.

## Member Data Documentation

## ◆ Replace

Replacements clang::tooling::RefactoringCallback::Replace
| protected

Definition at line 47 of file RefactoringCallbacks.h.

Referenced by getReplacements(), clang::tooling::ReplaceStmtWithText::run(), clang::tooling::ReplaceNodeWithTemplate::run(), clang::tooling::ReplaceStmtWithStmt::run(), and clang::tooling::ReplaceIfStmtWithItsBody::run().

The documentation for this class was generated from the following files:

- include/clang/Tooling/RefactoringCallbacks.h
- lib/Tooling/RefactoringCallbacks.cpp